Vulnerability Note VU#571068

ManageEngine AssetExplorer fails to properly sanitize XML asset data submission

Original Release date: 06 Dec 2012 | Last revised: 06 Dec 2012

Overview

ManageEngine AssetExplorer version 5.6.0 build number 5610 and possibly older versions is vulnerable to multiple stored XSS vulnerabilities via XML asset data submission.

Description

CWE-79: Improper Neutralization of Input During Web Page Generation ('Cross-site Scripting')

ManageEngine AssetExplorer version 5.6.0 build number 5610 and possibly older versions is vulnerable to multiple stored XSS vulnerabilities via XML asset data submission. Asset data is submitted by a program on client systems in an XML format via a POST request to http://[hostname]:8989/discoveryServlet/WsDiscoveryServlet?COMPUTERNAME=[computer name]. This submission is not authenticated. It has been reported that several of the data fields in that XML document are not properly filtered on ingestion by the XML processor or on output in the HTML interface. An example of a vulnerable element is the DocRoot/Computer_Information/output element. The value supplied to this element is echoed verbatim when viewing the asset in AssetExplorer, potentially resulting in a persistent XSS attack.

Impact

An attacker with access to the ManageEngine AssetExplorer web interface can conduct a cross-site scripting attack, which could be used to result in information leakage, privilege escalation, and/or denial of service.

Solution

Update

The vendor has stated that this vulnerability has been addressed in ManageEngine AssetExplorer build 5614 and the issue id AE-46841. Users are advised to update to ManageEngine AssetExplorer build 5614 or higher.

Restrict access

As a general good security practice, only allow connections from trusted hosts and networks. Note that restricting access does not prevent XSS, CSRF, or SQLi attacks since the attack comes as an HTTP request from a legitimate user's host. Restricting access would prevent an attacker from accessing the ManageEngine AssetExplorer web interface using stolen credentials from a blocked network location.

Vendor Information (Learn More)

VendorStatusDate NotifiedDate Updated
ZohoAffected02 Aug 201230 Nov 2012
If you are a vendor and your product is affected, let us know.

CVSS Metrics (Learn More)

Group Score Vector
Base 7.8 AV:N/AC:M/Au:N/C:P/I:C/A:N
Temporal 5.5 E:POC/RL:OF/RC:UC
Environmental 1.5 CDP:L/TD:L/CR:ND/IR:ND/AR:ND

References

Credit

Thanks to Philip Martin for reporting this vulnerability.

This document was written by Michael Orlando.

Other Information

  • CVE IDs: CVE-2012-5956
  • Date Public: 30 Nov 2012
  • Date First Published: 06 Dec 2012
  • Date Last Updated: 06 Dec 2012
  • Document Revision: 12

Feedback

If you have feedback, comments, or additional information about this vulnerability, please send us email.